Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226539 - Merge Review: which
Summary: Merge Review: which
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:16 UTC by Nobody's working on this, feel free to take it
Modified: 2008-01-15 21:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-15 21:16:57 UTC
ruben: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:16:30 UTC
Fedora Merge Review: which

http://cvs.fedora.redhat.com/viewcvs/devel/which/
Initial Owner: than@redhat.com

Comment 1 Ruben Kerkhof 2007-02-04 11:53:55 UTC
Review for release 8:
* RPM name is OK
* Source which-2.16.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* File list looks OK

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* The %makeinstall macro should not be used
  (wiki: PackagingGuidelines#MakeInstall)
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)
  COPYING is included in the source, please add it to %doc
* Please change hardcoded paths with macro's
* Preserve timestamps when installing files
* Please consider using {?dist} in the Release Tag (http://fedoraproject.org/wiki/DistTag)

Rpmlint is not silent:

Source RPM:
W: which summary-ended-with-dot Displays where a particular program in your path is located.
W: which strange-permission which-2.sh 0775
W: which redundant-prefix-tag
W: which prereq-use /sbin/install-info
W: which prereq-use dev
Use Requires(post) and Requires(preun). What's the prereq dev for?

rpmlint of which:
W: which summary-ended-with-dot Displays where a particular program in your path is located.
W: which conffile-without-noreplace-flag /etc/profile.d/which-2.sh
E: which executable-marked-as-config-file /etc/profile.d/which-2.sh
E: which executable-sourced-script /etc/profile.d/which-2.sh 0755


Comment 2 Robert Scheck 2007-02-18 22:43:01 UTC
Isn't a which-2.csh script missing?

Comment 3 Ruben Kerkhof 2007-04-20 22:36:55 UTC
Ping?

Comment 4 Ngo Than 2007-04-23 13:04:46 UTC
all above bugs are fixed in rawhide. thanks

Comment 5 Ruben Kerkhof 2007-07-05 18:02:38 UTC
Review for release 9:
* RPM name is OK
* Source which-2.16.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* File list looks OK

Rpmlint is not clean.

Source RPM:
W: which strange-permission which-2.csh 0775
W: which strange-permission which-2.sh 0775

0644 will do just fine, the files are sourced.

rpmlint of which:
E: which executable-marked-as-config-file /etc/profile.d/which-2.csh
E: which executable-sourced-script /etc/profile.d/which-2.csh 0755
E: which executable-marked-as-config-file /etc/profile.d/which-2.sh
E: which executable-sourced-script /etc/profile.d/which-2.sh 0755

Solved quite easy by setting permissions to 0644

W: which incoherent-version-in-changelog 2.16-9.fc7 2.16-9.fc8

Don't use the disttag in the changelog

W: which conffile-without-noreplace-flag /etc/profile.d/which-2.csh
W: which conffile-without-noreplace-flag /etc/profile.d/which-2.sh

Use %config(noreplace) in your file section

Comment 6 Lubomir Kundrak 2007-11-13 12:13:56 UTC
Than: What prevents you from finishing the review? May I help you somehow? I
assume you plan to build the new package once the review is finished. I'm
interested in getting the package without the (bug #99275) dev dependency, as it
unnecessarily pulls udev and doesn't serve its purpose any longer. Or will you
be angry at me if I initiated the build?

Comment 7 Lubomir Kundrak 2007-11-13 12:14:58 UTC
(In reply to comment #5)
/profile.d/which-2.csh
> W: which conffile-without-noreplace-flag /etc/profile.d/which-2.sh
> 
> Use %config(noreplace) in your file section

Ruben: I think these are not configuration files and are meant to be replaced
with updates. It is just safe to ignore the rpmlint warning.

Comment 8 Ngo Than 2007-11-13 13:18:51 UTC
>Source RPM:
>W: which strange-permission which-2.csh 0775
>W: which strange-permission which-2.sh 0775

fixed in which-2_16-10

>rpmlint of which:
>E: which executable-marked-as-config-file /etc/profile.d/which-2.csh
>E: which executable-sourced-script /etc/profile.d/which-2.csh 0755
>E: which executable-marked-as-config-file /etc/profile.d/which-2.sh
>E: which executable-sourced-script /etc/profile.d/which-2.sh 0755

fixed in which-2_16-10

>W: which incoherent-version-in-changelog 2.16-9.fc7 2.16-9.fc8
>
>Don't use the disttag in the changelog
fixed in which-2_16-10

>W: which conffile-without-noreplace-flag /etc/profile.d/which-2.csh
>W: which conffile-without-noreplace-flag /etc/profile.d/which-2.sh
it's not config files, i removed the config macros

it's build in rawhide. Thanks for your review

Comment 9 Lubomir Kundrak 2007-11-13 14:11:56 UTC
Than: You should not close bugs that are not assigned to you. This time it's
Ruben's duty to close bug once he verifies that the package is really fixed.

Comment 10 Ruben Kerkhof 2007-11-19 23:26:55 UTC
Hi Than,

Still rpmlint errors:

[ruben@odin devel]$ rpmlint which-2.18-1.fc9.src.rpm 
which.src: W: invalid-license GPL
which.src: W: strange-permission which-2.csh 0775
which.src: W: strange-permission which-2.sh 0775

Can you replace /etc with %{sysconfdir} in the spec?




Comment 11 Ngo Than 2007-11-20 13:31:39 UTC
>which.src: W: strange-permission which-2.csh 0775
>which.src: W: strange-permission which-2.sh 0775
strange, it's already fixed in this version. I didn't see this Warning here! 
could you please check again? Thanks

>Can you replace /etc with %{sysconfdir} in the spec?
it's fixed in which-2.18-2.fc9.

>which.src: W: invalid-license GPL
I have taken a look at COPYING here. It's GPL! What is wrong here? 




Comment 12 Ngo Than 2007-11-20 13:46:19 UTC
it's fixed in which-2.18-2.fc9. could you please review it again. Thanks

Comment 13 Lubomir Kundrak 2007-11-20 13:49:06 UTC
> >which.src: W: invalid-license GPL
> I have taken a look at COPYING here. It's GPL! What is wrong here? 

It has to be GPL, GPL+, GPLv2, GPLv2+, GPLv3 or GPLv3+
http://fedoraproject.org/wiki/Licensing

Comment 14 Ruben Kerkhof 2007-11-26 15:27:05 UTC
The list of licenses rpmlint checks for can be found in /usr/share/rpmlint/config.

I think GPLv2+ is the one you need (based on the text in which.c)

Comment 15 Ngo Than 2007-11-26 15:37:35 UTC
it's now fixed in which-2.18-2.fc9. could you please verify again? Thanks


Comment 16 Ruben Kerkhof 2007-11-26 20:25:25 UTC
Ok, that looks good, thanks.

Now those warnings returned:
>which.src: W: strange-permission which-2.csh 0775
>which.src: W: strange-permission which-2.sh 0775

I'm not sure, but maybe a CVS admin has to set the permissions in the repository.




Comment 17 Ngo Than 2007-11-27 14:06:26 UTC
i now have added explicit correct %attr for those files. It should be fine now 
in which-2_18-4_fc9. Could you please check again. Thanks

Comment 18 Ruben Kerkhof 2007-11-27 18:45:36 UTC
The warning is not about the permissions on the files after they are installed, it's about how they are 
stored in the srpm:

[ruben@odin devel]$ rpmlint -i which-2.18-4.fc9.src.rpm 
which.src: W: strange-permission which-2.csh 0775
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.

which.src: W: strange-permission which-2.sh 0775
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.

ruben@odin devel]$ ls -l which-2.*sh
-rwxrwxr-x 1 ruben ruben 162 2007-04-23 15:04 which-2.csh
-rwxrwxr-x 1 ruben ruben 170 2004-09-09 16:18 which-2.sh


Comment 19 Ngo Than 2007-11-27 22:56:13 UTC
ok, i have renamed which-2.*sh to which2.*sh with the correct permission. It's 
fixed in which-2_18-5_fc9

Comment 20 Lubomir Kundrak 2007-12-18 20:00:15 UTC
Ruben: Is the package fine now?

Comment 21 Ruben Kerkhof 2007-12-18 22:57:57 UTC
Thanks, approved


Note You need to log in before you can comment on or make changes to this bug.